﻿
/*   Form1.cs
 * 
 * ****USB INTERFACE BOARD USING PIC18F4550 v1.0**** 
 * Communication Software for intreration with PIC18F4550
 * 
 * This Software is free software: you free to redistribute it or 
 * modify the code way you wish.This software is for education purpose only. 
 * The author will not be responsible for any loss or liability whatsoever.
 * 
 * This software bears no warranty or guarantee whatsoever. See the GNU General 
 * Public License for more details and clarification.You should have received a 
 * copy of the GNU General Public License along with this source code or software. 
 * If not, then feel free to see <http://www.gnu.org/licenses/>.
 * 
 * website source: www.rakeshmondal.info 
 * Free , no warranty  or guarantee whatsoever 
 * 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PICUSB; // include PICUSB
using USBComron;
 
 /* 
 * Place the picusb.dll into the debug folder and then import as it’s done here. Right click References 
 * “Add references” navigate to Debug folder and select “picusb.dll”, and you are ready for setting up 
 * communication with the Microcontroller after including PICUSB  “using PICUSB;”
 * you can also explore the list of available function from the Object Browser. References > PICUSB. 

 */

namespace USBComron
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();
        }
               

        usb_interface usbcom = new usb_interface(); // Check PICUSB reference for more.
        byte[] val = new byte[] { 0 };
        
         
           
        
        private void Form1_Load(object sender, EventArgs e)
        {

        }

        public void ron()
        {

          MessageBox.Show("rakesh");

        }

        


        // LED 1
        private void button1_MouseDown(object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
        }
        
 
        private void button1_MouseUp(object sender, MouseEventArgs e)
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
        }
        

        //LED 2
        private void button2_MouseDown(Object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 2, val[0] }, out val2);
        }
                
        
        private void button2_MouseUp(Object sender, MouseEventArgs e)
        { 
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 2, val[0] }, out val2);
        }


        //LED 3
        private void button3_MouseDown(Object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 3, val[0] }, out val2);
        }
        
        
        private void button3_MouseUp(Object sender, MouseEventArgs e)
        {
            val[0] = 0;
            byte[] val2; 
            usbcom.EasyCommand(0x32, 1, new byte[] { 3, val[0] }, out val2);
        }

        //LED 4

        private void button4_MouseDown(Object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 4, val[0] }, out val2);
        }
        
        
        private void button4_MouseUp(Object sender, MouseEventArgs e)
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 4, val[0] }, out val2);
        }


       // LED 5
        private void button5_MouseDown(Object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 5, val[0] }, out val2);
        }
        
        
        private void button5_MouseUp(Object sender, MouseEventArgs e)
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 5, val[0] }, out val2);
        }

        //LED 6 
        
        
        private void button6_MouseDown(Object sender, MouseEventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 6, val[0] }, out val2);
        }
        private void button6_MouseUp(Object sender, MouseEventArgs e)
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 6, val[0] }, out val2);
        }
         
             
              
        
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
            {
                string url = "http://www.rakeshmondal.info";
                System.Diagnostics.Process.Start(url);
            }

        private void button7_Click(object sender, EventArgs e)
            {
                Application.Exit();
            }

        

        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            string url = "http://www.rakeshmondal.info/USB-Demo-Interface-Development-Board-Project";
            System.Diagnostics.Process.Start(url);
        }

      
        private void linkLabel3_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            string url = "http://www.rakeshmondal.info/USB-Demo-Interface-Development-Board-Project";
            System.Diagnostics.Process.Start(url);
        }

        private void button11_Click(object sender, EventArgs e)
        {


            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
            label6.Text = "ON";
                
            /* check if connection exists*/
            byte[] ping2;
            string idcheck = "vid_04d8&pid_000c";
            usbcom.vid_pid_norm = idcheck;
            uint ping = usbcom.EasyCommand(0x00, 4, val, out ping2);
            if (ping == 0)
            {
                label6.Text = "NA";
            }

            else { }

        }
            
        private void button16_Click(object sender, EventArgs e)
        {

            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
            label6.Text = "OFF";         
        }
     
    private void label3_Click(object sender, EventArgs e)
        {
            this.Text = usbcom.vid_pid_boot;
        }

        private void button9_Click(object sender, EventArgs e)
    {
            
        byte[] ping2;
        string idcheck = "vid_04d8&pid_000c";
        usbcom.vid_pid_norm = idcheck;
        uint ping = usbcom.EasyCommand(0x00, 4, val, out ping2); 
        
        if (ping == 0)
         {
            label8.Text = "Not Connected";
            textBox1.Text = "PIC18F NA";
            textBox2.Text = "PIC18F NA";
          }
        else
            label8.Text = "PIC Detected";
            string detect = "PIC Detected";

        if (detect == label8.Text)
        {
            textBox1.Text = usbcom.vid_pid_boot;
            textBox2.Text = usbcom.vid_pid_norm;
        }
        else { /* else what ? nothing :D */}

    }

        private void button15_Click(object sender, EventArgs e)      {
            
            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 2, val[0] }, out val2);
            labe2.Text = "ON";
        }

        private void button20_Click(object sender, EventArgs e)
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 2, val[0] }, out val2);
            labe2.Text = "OFF";
        }


        private void button10_Click(object sender, EventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 3, val[0] }, out val2);
            
            labe4.Text = "ON";
        }

        private void button8_Click(object sender, EventArgs e)
        {

            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 3, val[0] }, out val2);
            labe4.Text = "OFF";
        }

       
       

        private void button13_Click(object sender, EventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 4, val[0] }, out val2);
            this.label10.Text = "ON";
        }

        private void button18_Click(object sender, EventArgs e)
        {

            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 4, val[0] }, out val2);
            this.label10.Text = "OFF";
        }

        private void button12_Click(object sender, EventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 5, val[0] }, out val2);
            this.label11.Text = "ON";
        }

        private void button17_Click(object sender, EventArgs e)
        {

            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 5, val[0] }, out val2);
            this.label11.Text = "OFF";
        }

        private void button14_Click(object sender, EventArgs e)
        {

            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 6, val[0] }, out val2);
            this.label12.Text = "ON";
        }

        private void button19_Click(object sender, EventArgs e)
        {

            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 6, val[0] }, out val2);
            this.label12.Text = "OFF";
        }





        // some experiments that you can do =============================================
        public void x1()
        {
            val[0] = 1;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
        }
        public void x2()
        {
            val[0] = 0;
            byte[] val2;
            usbcom.EasyCommand(0x32, 1, new byte[] { 1, val[0] }, out val2);
        }
        //===============================================================================

        /* Flickering effect on RD0 - led 1*/
        private void button21_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < 2; i++)
            {
                x1();
                x2();
                x1();
                x2();
                x1();
                x2();
                x1();
                x2();
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

      
        
    

      
       
    }
}
